/*
//
//				timonix.pl - reguły javascript\jquery
//									V.1.0
//				  Wszelkie Prawa Zaszczeżone by Timonix
//
*/

	$(document).ready(function(){

		// pobieranie danych z dokumentu
		const dokument = $(document); 
		const header = $("header");
		const main = $("main"); 
		
		// pobieranie elementów klass fixed-to-scroll
		var menu = $(".fixed-to-scroll");
		
		// funkcjia na ustawianie menu na fixed po skrolowanie 
		
		dokument.on("scroll", function(){
			
			// aktualna wartość scrola
			const scrollPos = dokument.scrollTop();
			// aktualna pozycia maina
			const mainOffest = main.offset().top;
			// aktualna pozycia hedera
			const headerHeight = header.outerHeight();
			
			// sprawdzanie czy scroll jest w mainem
			if(scrollPos > mainOffest){
				menu.css({
				//	'position': 'fixed', 
				}).find("nav").addClass("tsr-nav-menu-fixed");
			}else{
				menu.css({
				//	'position': 'fixed', 
				}).find("nav").removeClass("tsr-nav-menu-fixed");
			}
			
		})
		
	});